(function() {
    var type_impls = Object.fromEntries([["rustc_borrowck",[["<details class=\"toggle implementors-toggle\" open><summary><section id=\"impl-ConstraintGraph%3CD%3E\" class=\"impl\"><a class=\"src rightside\" href=\"src/rustc_borrowck/constraints/graph.rs.html#70-122\">Source</a><a href=\"#impl-ConstraintGraph%3CD%3E\" class=\"anchor\">§</a><h3 class=\"code-header\">impl&lt;D: <a class=\"trait\" href=\"rustc_borrowck/constraints/graph/trait.ConstraintGraphDirection.html\" title=\"trait rustc_borrowck::constraints::graph::ConstraintGraphDirection\">ConstraintGraphDirection</a>&gt; <a class=\"struct\" href=\"rustc_borrowck/constraints/graph/struct.ConstraintGraph.html\" title=\"struct rustc_borrowck::constraints::graph::ConstraintGraph\">ConstraintGraph</a>&lt;D&gt;</h3></section></summary><div class=\"impl-items\"><details class=\"toggle method-toggle\" open><summary><section id=\"method.new\" class=\"method\"><a class=\"src rightside\" href=\"src/rustc_borrowck/constraints/graph.rs.html#75-92\">Source</a><h4 class=\"code-header\">pub(crate) fn <a href=\"rustc_borrowck/constraints/graph/struct.ConstraintGraph.html#tymethod.new\" class=\"fn\">new</a>(\n    direction: D,\n    set: &amp;<a class=\"struct\" href=\"rustc_borrowck/constraints/struct.OutlivesConstraintSet.html\" title=\"struct rustc_borrowck::constraints::OutlivesConstraintSet\">OutlivesConstraintSet</a>&lt;'_&gt;,\n    num_region_vars: <a class=\"primitive\" href=\"https://doc.rust-lang.org/1.87.0/std/primitive.usize.html\">usize</a>,\n) -&gt; Self</h4></section></summary><div class=\"docblock\"><p>Creates a “dependency graph” where each region constraint <code>R1: R2</code> is treated as an edge <code>R1 -&gt; R2</code>. We use this graph to\nconstruct SCCs for region inference but also for error\nreporting.</p>\n</div></details><details class=\"toggle method-toggle\" open><summary><section id=\"method.region_graph\" class=\"method\"><a class=\"src rightside\" href=\"src/rustc_borrowck/constraints/graph.rs.html#97-103\">Source</a><h4 class=\"code-header\">pub(crate) fn <a href=\"rustc_borrowck/constraints/graph/struct.ConstraintGraph.html#tymethod.region_graph\" class=\"fn\">region_graph</a>&lt;'a, 'tcx&gt;(\n    &amp;'a self,\n    set: &amp;'a <a class=\"struct\" href=\"rustc_borrowck/constraints/struct.OutlivesConstraintSet.html\" title=\"struct rustc_borrowck::constraints::OutlivesConstraintSet\">OutlivesConstraintSet</a>&lt;'tcx&gt;,\n    static_region: <a class=\"struct\" href=\"rustc_type_ir/region_kind/struct.RegionVid.html\" title=\"struct rustc_type_ir::region_kind::RegionVid\">RegionVid</a>,\n) -&gt; <a class=\"struct\" href=\"rustc_borrowck/constraints/graph/struct.RegionGraph.html\" title=\"struct rustc_borrowck::constraints::graph::RegionGraph\">RegionGraph</a>&lt;'a, 'tcx, D&gt;</h4></section></summary><div class=\"docblock\"><p>Given the constraint set from which this graph was built\ncreates a region graph so that you can iterate over <em>regions</em>\nand not constraints.</p>\n</div></details><section id=\"method.is_normal\" class=\"method\"><a class=\"src rightside\" href=\"src/rustc_borrowck/constraints/graph.rs.html#105-107\">Source</a><h4 class=\"code-header\">pub(crate) fn <a href=\"rustc_borrowck/constraints/graph/struct.ConstraintGraph.html#tymethod.is_normal\" class=\"fn\">is_normal</a>(&amp;self) -&gt; <a class=\"primitive\" href=\"https://doc.rust-lang.org/1.87.0/std/primitive.bool.html\">bool</a></h4></section><details class=\"toggle method-toggle\" open><summary><section id=\"method.outgoing_edges_from_graph\" class=\"method\"><a class=\"src rightside\" href=\"src/rustc_borrowck/constraints/graph.rs.html#110-116\">Source</a><h4 class=\"code-header\">pub(crate) fn <a href=\"rustc_borrowck/constraints/graph/struct.ConstraintGraph.html#tymethod.outgoing_edges_from_graph\" class=\"fn\">outgoing_edges_from_graph</a>&lt;'a, 'tcx&gt;(\n    &amp;'a self,\n    region_sup: <a class=\"struct\" href=\"rustc_type_ir/region_kind/struct.RegionVid.html\" title=\"struct rustc_type_ir::region_kind::RegionVid\">RegionVid</a>,\n    constraints: &amp;'a <a class=\"struct\" href=\"rustc_borrowck/constraints/struct.OutlivesConstraintSet.html\" title=\"struct rustc_borrowck::constraints::OutlivesConstraintSet\">OutlivesConstraintSet</a>&lt;'tcx&gt;,\n) -&gt; <a class=\"struct\" href=\"rustc_borrowck/constraints/graph/struct.EdgesFromGraph.html\" title=\"struct rustc_borrowck::constraints::graph::EdgesFromGraph\">EdgesFromGraph</a>&lt;'a, 'tcx, D&gt; <a href=\"#\" class=\"tooltip\" data-notable-ty=\"EdgesFromGraph&lt;&#39;a, &#39;tcx, D&gt;\">ⓘ</a></h4></section></summary><div class=\"docblock\"><p>Given a region <code>R</code>, iterate over all constraints <code>R: R1</code>.</p>\n</div></details><details class=\"toggle method-toggle\" open><summary><section id=\"method.outgoing_edges_from_static\" class=\"method\"><a class=\"src rightside\" href=\"src/rustc_borrowck/constraints/graph.rs.html#119-121\">Source</a><h4 class=\"code-header\">pub(crate) fn <a href=\"rustc_borrowck/constraints/graph/struct.ConstraintGraph.html#tymethod.outgoing_edges_from_static\" class=\"fn\">outgoing_edges_from_static</a>(&amp;self) -&gt; <a class=\"struct\" href=\"rustc_borrowck/constraints/graph/struct.EdgesFromStatic.html\" title=\"struct rustc_borrowck::constraints::graph::EdgesFromStatic\">EdgesFromStatic</a> <a href=\"#\" class=\"tooltip\" data-notable-ty=\"EdgesFromStatic\">ⓘ</a></h4></section></summary><div class=\"docblock\"><p>Returns all regions (#53178).</p>\n</div></details></div></details>",0,"rustc_borrowck::constraints::graph::NormalConstraintGraph","rustc_borrowck::constraints::graph::ReverseConstraintGraph"]]]]);
    if (window.register_type_impls) {
        window.register_type_impls(type_impls);
    } else {
        window.pending_type_impls = type_impls;
    }
})()
//{"start":55,"fragment_lengths":[5646]}